Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 27 Aug 2014, 09:02
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
XMMS 1.2.11 - multimedia player?
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Author Message
tempestuous

Joined: 10 Jun 2005
Posts: 5238
Location: Australia

PostPosted: Wed 20 Feb 2008, 11:49    Post_subject:  XMMS 1.2.11 - multimedia player?  

There are several XMMS packages contributed by different forum members, and quite a few input plugins and skins available as separate dotpets.
But there has been no consistency regarding where XMMS installs to in the filesystem, so it's difficult to mix-and-match the different components.

I have now packaged the most recent XMMS version with all of the useful input plugins included, so you won't need to chase around installing the plugins as a separate exercise.
And the installation location, /usr/local, is the same as Dougal's older XMMS-1.2.10 announced here -
http://www.murga-linux.com/puppy/viewtopic.php?t=13056
so Dougal's collection of skins are compatible with this new package.
http://dotpups.de/dotpups/Multimedia/xmms-1.2.10-by-Dougal/

Thanks to Raffy, the XMMS package, and separate locales package are available here
http://minipc.org/ipup/download/xmms-1.2.11.pet
http://minipc.org/ipup/download/xmms-1.2.11-locales.pet

Input plugins included:
MAD MPEG decoder (MP3)
libmpg123 (MP3)
MP4/AAC (faad)
Ogg Vorbis
WMA (WindowsMediaAudio)
FLAC
WAVE
CD audio

There are two MP3 plugins, because as well as the standard libmpg123 plugin, I provided the additional MAD plugin which is claimed to sound superior.
The libmpg123 plugin has been disabled in preferences.
There are even more input plugins available here
http://dotpups.de/dotpups/Multimedia/xmms-1.2.10-by-Dougal/xmms-plugins/

The output plugin has been (correctly) configured for ALSA. This can be changed to OSS in the rare case where your audio device is supported only by an OSS driver (such as the SiS 7019 audio chip in the eBox thin client).

XMMS will not work in Puppy4.x because Puppy4.x does not have the older GTK1 libraries.
For Puppy4.x you should consider:
Audacious
http://www.murga-linux.com/puppy/viewtopic.php?t=20942
or BMP
http://www.murga-linux.com/puppy/viewtopic.php?t=20919

Edited_times_total
Back to top
View user's profile Send_private_message 
tempestuous

Joined: 10 Jun 2005
Posts: 5238
Location: Australia

PostPosted: Thu 21 Feb 2008, 02:09    Post_subject:  

EXTRA PLUGINS

Here is the MikMod input plugin & library -
http://minipc.org/ipup/download/xmms-libmikmod-3.1.12.pet
This input plugin supports music modules such as mod, s3m, it, and xm.
Getting the libmikmod library to compile with ALSA support was DIFFICULT.

Update Jan 4 2009
XMMS-crossfade Output plugin now available -
http://minipc.org/ipup/download/xmms-crossfade-0.3.14.pet

There are more plugins available from Dougal's collection at
http://dotpups.de/dotpups/Multimedia/xmms-1.2.10-by-Dougal/xmms-plugins/
input plugins -
TTA (True Audio, lossless codec)
Monkeys Audio (lossless)
shorten (lossy/lossless)
WavPack (lossy/lossless)
sexyspc (Super Nintendo music)

output plugin -
Xosd (on-screen display)

Edited_time_total
Back to top
View user's profile Send_private_message 
tempestuous

Joined: 10 Jun 2005
Posts: 5238
Location: Australia

PostPosted: Sat 23 Feb 2008, 00:58    Post_subject:  

I just tested some internet radio MP3 streams.
The "MAD" input plugin won't work for network streams, so you must disable it in preferences, and enable the "libmpg123" plugin instead.
Now click on "Play Location" and enter the URL of the MP3 stream, and importantly, add the suffix ":mp3" to the URL.
XMMS needs this suffix because it cannot identify the format of MP3 network streams.
Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1070
Location: Australia

PostPosted: Tue 26 Aug 2008, 17:38    Post_subject:  

Hey Tempestuous,

Thanks for putting XMMS together in one place. I just have one question, I don't seem to have the MAD plugin included in my download from here. (downloaded yesterday) I only have libmpg123.so. I enabled it and was able to listen to mp3s, so I don't really care about MAD, but I was just wondering what happened to it.

Thanks.

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send_private_message 
tempestuous

Joined: 10 Jun 2005
Posts: 5238
Location: Australia

PostPosted: Wed 27 Aug 2008, 09:52    Post_subject:  

battleshooter wrote:
I don't seem to have the MAD plugin included in my download from here. (downloaded yesterday) I only have libmpg123.so.

It's there. You can see it when you go to Options > Preferences > Audio I/O Plugins tab. See attached image.
The plugin, itself, is at /usr/local/lib/xmms/Input/libxmmsmad.so

There's a chance you may have some other version of XMMS installed in /usr/bin
You can launch my version by specifying the full path -
Code:
/usr/local/bin/xmms
xmms-plugins.jpg
 Description   
 Filesize   39.96 KB
 Viewed   6533 Time(s)

xmms-plugins.jpg

Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1070
Location: Australia

PostPosted: Wed 27 Aug 2008, 17:21    Post_subject:  

How embarrassing. I've been making all these mistakes it's unbelievable. Embarassed

Anyway, I reinstalled your XMMS, Tempestuous and MAD was there. I must have grabbed someone else's and thought it was yours yesterday- I downloaded more than one XMMS package cause I was looking for one with WMA support. Sorry for the misunderstanding. Thanks Tempestuous.

Battleshooter

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send_private_message 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Tue 02 Sep 2008, 11:47    Post_subject: Re: XMMS-1.2.11  

tempestuous wrote:

XMMS will not work in Puppy4.x because Puppy4.x does not have the older GTK1 libraries.
For Puppy4.x you should consider:
Audacious
http://www.murga-linux.com/puppy/viewtopic.php?t=20942
or BMP
http://www.murga-linux.com/puppy/viewtopic.php?t=20919


Also now xmms2 works on gtk2. you have to use
gxmms2 - A GTK+ 2 based XMMS2 client
http://wejp.k.vu/projects/xmms2/
I got it somewhat going without adding any other libraries
But I think my compiler is stuffed and I have to reset, Anyways it was nice seeing it popup.Smile
It also has a nice taskbar icon "Music Note" with a right click menu, its part of the picture at the bottom.
ttuuxxx

PS If you want tempestuous maybe have a look at compiling it, You'll probably do a better job. Wink
more on the wiki
http://wiki.xmms2.xmms.se/wiki/Using_the_application
xmms2.png
 Description   
 Filesize   29.92 KB
 Viewed   6323 Time(s)

xmms2.png


_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile


Edited_time_total
Back to top
View user's profile Send_private_message Visit_website 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Tue 02 Sep 2008, 11:59    Post_subject:  

hi ttuuxxx,

so you got xmms2 running in puppy? i would like to test that Wink

or did you only got the client running? your screenshot says the the xmms2d is not running !?!

cheers
aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send_private_message 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Thu 04 Sep 2008, 13:49    Post_subject:  

aragon wrote:
hi ttuuxxx,

so you got xmms2 running in puppy? i would like to test that Wink

or did you only got the client running? your screenshot says the the xmms2d is not running !?!

cheers
aragon


Yesterday I didn't have it going just the client, Buttttttt today I started over from scratch and managed to get it running:)
It doesn't have a eq, but it has a nice play list editor, I have a few more things to figureout before I can release it, Basically you have to type in a console
./xmms2d --yes-run-as-root
then you click on Gxmms2 and it starts.
strange, yet painful , LOL
ttuuxxx

Ps I had to compile gkrellm to get it running also.
Update I managed to make a small script to start the Xmms2 daemon but if I shut Gxmms2 off the song keeps playing in memory and the xmms2 stays alive in memory after the song is finished. I think this is one for the developers to figure out Sad
The code would have to place in the actually Gxmms2 source to enable and kill the xmms2.
Pprocess can kill it but kind of a pain.
I'll try tomorrow and see what I can with the code. But I'm very limited in that category.
ttuuxxx
gxmms2.png
 Description   
 Filesize   140.16 KB
 Viewed   6774 Time(s)

gxmms2.png


_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send_private_message Visit_website 
tempestuous

Joined: 10 Jun 2005
Posts: 5238
Location: Australia

PostPosted: Sat 07 Feb 2009, 00:48    Post_subject:  

Here is the "Audioscrobbler" plugin for XMMS, which will log what music you play with your Last.fm account to build your profile.
Last.fm is an internet radio/community http://www.last.fm
Enter your Last.fm username and password in XMMS Options > Preferences > General Plugins > XMMS-Scrobbler 0.4.0 > Configure
Now restart XMMS.

Under Puppy 3.x you will also need to install libcurl.so.3-symlink.pet
Under Puppy 4.x you may (?) need to install libidn.so.11.pet

I also provided the full lastfm player application, version 1.3.1.0, and thanks to MU, it's available here -
http://dotpups.de/dotpups/Multimedia/lastfm-1.3/
It requires the qt4 library, which is available via petget for Puppy 4.x
xmms-scrobbler-0.4.0-libmusicbrainz-taglib.pet
Description 
pet

 Download 
Filename  xmms-scrobbler-0.4.0-libmusicbrainz-taglib.pet 
Filesize  230.87 KB 
Downloaded  636 Time(s) 
libcurl.so.3-symlink.pet
Description  needed by Puppy 3.x
pet

 Download 
Filename  libcurl.so.3-symlink.pet 
Filesize  363 Bytes 
Downloaded  635 Time(s) 
libidn.so.11.pet
Description  needed by Puppy 4.x
pet

 Download 
Filename  libidn.so.11.pet 
Filesize  66.13 KB 
Downloaded  1050 Time(s) 
Back to top
View user's profile Send_private_message 
tempestuous

Joined: 10 Jun 2005
Posts: 5238
Location: Australia

PostPosted: Thu 19 Feb 2009, 06:39    Post_subject:  

Here is the Analog VUmeter plugin for XMMS.
Once installed, go to
Options > Preferences > Visualization Plugins
and enable the VUmeter.
Press the "Configure" button to change VUmeter skin. The default skin looks very ordinary, so I included the "ExpensiveHi-Fi" skin for both the meter and XMMS, which looks like this -
http://t0x.in/xmmsvumeter.html
vumeter-0.9.2.pet
Description 
pet

 Download 
Filename  vumeter-0.9.2.pet 
Filesize  141.78 KB 
Downloaded  708 Time(s) 
Back to top
View user's profile Send_private_message 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Thu 19 Feb 2009, 06:47    Post_subject:  

tempestuous wrote:
Here is the Analog VUmeter plugin for XMMS.
Once installed, go to
Options > Preferences > Visualization Plugins
and enable the VUmeter.
Press the "Configure" button to change VUmeter skin. The default skin looks very ordinary, so I included the "ExpensiveHi-Fi" skin for both the meter and XMMS, which looks like this -
http://t0x.in/xmmsvumeter.html

Yes tempestuous ExpensiveHi-Fi is my favourite xmms skin of all time and that meter I seen awhile back and thought it just looked perfect. Excellent job finishing the package up Smile
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send_private_message Visit_website 
trapster


Joined: 28 Nov 2005
Posts: 1999
Location: Maine, USA

PostPosted: Thu 19 Feb 2009, 07:52    Post_subject:  

Sweeeeeeeeeet
_________________
trapster
Maine, USA

Asus eeepc 1005HA PU1X-BK
Frugal install: Puppeee4.31 + 1.0, Puppy4.10 + Lupu52
Currently using Slacko AND lupu52 w/ fluxbox
Back to top
View user's profile Send_private_message Visit_website 
M.Gregg


Joined: 01 Jan 2006
Posts: 124
Location: UK

PostPosted: Thu 19 Feb 2009, 13:45    Post_subject: Xmms Vu meter  

Hello tempestuous,

Thank you for this package!
It also works in teenpup 2008!
-------------------------------------------

Here is a package of Xmms Vu meters. Just unzip with pupzip and drag them to

/root/.xmms/VU_Meter_skins and select configure in visualisations.
.xmms is a hidden file!

Try this skin!
http://www.gnome-look.org/content/show.php/Vortigo+++(+3D%2BVU%2BBeryl%2BDock+)?content=55440

Regards
M.Gregg
VU_Meter_skins.tar.gz
Description 
gz

 Download 
Filename  VU_Meter_skins.tar.gz 
Filesize  432.88 KB 
Downloaded  632 Time(s) 
Back to top
View user's profile Send_private_message 
M.Gregg


Joined: 01 Jan 2006
Posts: 124
Location: UK

PostPosted: Thu 19 Feb 2009, 16:20    Post_subject: Xmms screen shot  

Just for interest!



Screen shot of Xmms and plugins.


Regards
M.Gregg
Xmms snapshot1.png
 Description   Xmms running in Teenpup.
 Filesize   111.62 KB
 Viewed   5329 Time(s)

Xmms snapshot1.png

Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0945s ][ Queries: 13 (0.0044s) ][ GZIP on ]